Bump version to 49:0
[folly.git] / folly / bootstrap-osx-homebrew.sh
1 #!/bin/bash -x
2 # The only prerequisite should be homebrew. If something doesn't work out of
3 # the box with just homebrew, let's fix it.
4
5 # fail fast
6 set -e
7
8 brewget() {
9     brew install $@ || brew upgrade $@
10 }
11
12 # tool dependencies: autotools and scons (for double-conversion)
13 brewget autoconf automake libtool
14
15 # dependencies
16 brewget glog gflags boost libevent double-conversion
17
18 autoreconf -i
19 ./configure
20
21 pushd test
22 test -e gtest-1.7.0.zip || {
23     curl -O https://googletest.googlecode.com/files/gtest-1.7.0.zip
24     unzip gtest-1.7.0.zip
25 }
26 popd